TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Include ( mdl^vec M, elt-mdl^vec v ) -> mdl^vec, elt-alg^boo

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> The space obtained by including v in M; returns also whether v increased the space (i.e. v was not in M). </shortdoc>

### Examples

x_M:= Matrix(Z,2,2,[0,1,0,0]); x_V:= RowSpace(x_M); Include(x_V,Vector([1,0]));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack